%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define nagios_plugins_dir %{_prefix}/lib/nagios/plugins

Name:           nagios-plugins-rhev
Version:        1.0.0
Release:        35.2
Summary:        Nagios Plugin - check_rhev

Group:          Applications/System
License:        GPLv2+
URL:            https://github.com/dougsland/nagios-plugins-rhev/wiki
Source0:        %{name}-%{version}.tar.bz2
Patch0:		check_rhev-hosts_and_checkALL.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       nagios-plugins, python-paramiko

%if 0%{?fedora} > 12 || 0%{?fedora_version} > 12 || 0%{?rhel} > 5 || 0%{?rhel_version} > 500 || 0%{?redhat_version} > 5 || 0%{?centos_version} > 5 || 0%{?sl_version} > 5
BuildRequires: python-devel, python-setuptools-devel
%else
BuildRequires: python-devel, python-setuptools
%endif

%description
This plugin allow you to monitor your RHEV environment.

%prep
%setup -q
%patch0

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --prefix=%{_prefix} --skip-build --root $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/%{nagios_plugins_dir}
install -p -m 755 check_rhev $RPM_BUILD_ROOT/%{nagios_plugins_dir}
%if 0%{?suse_version}
rm -rf %{buildroot}%{python_sitelib}/*.egg-info
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS
%dir %{_prefix}/lib/nagios
%dir %{nagios_plugins_dir}
%{nagios_plugins_dir}/check_rhev
%if 0%{?fedora} > 12 || 0%{?rhel} > 5 || 0%{?rhel_version} > 500 || 0%{?redhat_version} > 5 || 0%{?centos_version} > 5 || 0%{?sl_version} > 5
%{python_sitelib}/*.egg-info
%endif

%changelog
* Tue Feb 21 2012 cs@linux-administrator.com
- replaced check_rhev-host.patch with check_rhev-hosts_and_checkALL.patch
* Tue Feb 21 2012 cs@linux-administrator.com
- added check_rhev-host.patch
* Tue Feb 21 2012 cs@linux-administrator.com
- initial import
